#!/bin/sh

#This script will generate home page statistics tables.
#(number of logins and last login time). Home pages with the string "unedited home"
#in them are excluded. An index to the indexes is also generated as "homes_index.html".
#The latter is deliberately frill-free so you can appened it to some other pretty HTML
#junk.
#
#--Proff
 
#replace the below with details for your site.

mailhost=suburbia.net
wwwhost=suburbia.net

homealone -W -A -a $wwwhost -b -B -c "<a href=http://$wwwhost>$wwwhost</a> home pages by <em>%s</em>"\
	-d -h www/index.html\
	-i -j urxzq -M $mailhost -n \
	-su -sru -sxu -sZu -sQu\
	-v "unedited home"\
	-o homes.%d.html\
	-k 'home pages by <a href="%s">%s</a>'\
	-U 'home pages by <a href="%s">%s</a> (HTML3.0)' -K homes_index.html $*
